import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/prathyusha-reddy-arch/fc3672821140b173f59ed6082f42e1ef/raw/37d449e08fbd03057867c88fdca9f3509159debe/Dataset.csv';

export const useData = () => {
	const [data, setData] = useState(null);
  
  useEffect(() => {
    let max = 0;
    let min = 20;
    
    const row = d => {
      for (const property in d) {
      	if (property === "Country")
          continue;
        if (+d[property] > max) {
        	max = +d[property];
        }
        if (+d[property] < min) {
        	min = +d[property];
        }
      }
    	return d;
    }
  	csv(csvUrl, row).then((res) => {
      res.max = max;
      res.min = min;
      setData(res);
    });
  }, []);
  
  return data;
}